LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 04-13-2010, 09:33 AM   #1
overberg
LQ Newbie
 
Registered: Mar 2009
Posts: 23

Rep: Reputation: 0
Broadcom Netlink BCM5787M problem


Hi all,

I would like to get my Slackware 11 to work with the Broadcom NetLink BCM5787 onboard Ethernet Cards (x2). I have downloaded the tg3 driver from the Broadcom site. I copied and extracted the driver onto the Linux harddisk. When I wanted to build it I got the message,

tg3_compat.h: error : redefinition of 'msecs_to_jiffies'previous delay.h : error: definition 'msecs_to jiffies" was here"

Can someone please help me solve this problem.

Thanks

Overberg
 
Old 04-13-2010, 10:12 AM   #2
onebuck
Moderator
 
Registered: Jan 2005
Location: Midwest USA, Central Illinois
Distribution: SlackwareŽ
Posts: 12,541
Blog Entries: 23

Rep: Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943
Hi,

Which kernel are you using?
 
Old 04-14-2010, 05:26 AM   #3
overberg
LQ Newbie
 
Registered: Mar 2009
Posts: 23

Original Poster
Rep: Reputation: 0
Thanks for the prompt reply.

I have Linux 2.4.33.

When I do a modprobe tg3 on the existing tg3 driver, I get the message:

Quote:
init_module: No Such device
insmod tg3.0 failed - in ../drivers/net directories
Thanks again.
 
Old 04-14-2010, 09:15 AM   #4
onebuck
Moderator
 
Registered: Jan 2005
Location: Midwest USA, Central Illinois
Distribution: SlackwareŽ
Posts: 12,541
Blog Entries: 23

Rep: Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943Reputation: 1943
Hi,

You could use the 2.6 kernel from '/extra/linux-2.6.17.13'. Things would be a lot easier for you with the 2.6.

If you are set on using the 2.4 then possibly merging the tg3 into your present kernel then patching may suit. You would then apply the patch and compile a custom kernel anyway.

 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
No driver support for broadcom Netlink ravichandran_swamy Linux - Newbie 2 10-01-2008 11:13 AM
could not install broadcom netlink ethernet driver in Cent OS in lenevo G400 laptop kiritgiri Linux - Hardware 3 08-29-2008 04:36 PM
can't install Broadcom Netlink(tm) Fast Ethernet drivers sarojkumar Linux - Enterprise 1 12-28-2007 05:51 AM
Broadcom Netlink Not working with suse linux srinivasan.mit Linux - Server 0 07-25-2007 08:07 AM


All times are GMT -5. The time now is 12:45 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration